Subject: Re: [PATCH] rebase -i: handle fixup of root commit correctly

From: Chris Webb <[email-masked]>
Date: Tue, 31 Jul 2012 23:47:05 +0100

Johannes Sixt <[email-masked]> writes:

> One subtlety to watch out for is when commit messages are edited. That is,
> if you edit the proposed message at 'rebase --continue' after the first
> squash failed, is the new text preserved until the last squash? I *think*
> that previously that was the case.

Hi. Yes, doing this seems to work fine both in the original code, and after
my patch. I've just checked to be certain using my previous test case of
four conflicting squashes again, editing the message at each stage and
ensuring the edits are all retained in the final commit.

Best wishes,

Chris.